curl --request PATCH \
--url https://api.lolboost.gg/api/v1/accounts/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"price": 1999,
"status": "listed",
"description": "Hand leveled EUW account.",
"parameters": {
"rank": "Gold",
"division": "II",
"flex_rank": "Silver",
"flex_division": "I",
"level": 80,
"blue_essence": 45000,
"riot_points": 350,
"winrate_percent": 56,
"champion_count": 120,
"skin_count": 35
},
"credentials": {
"login": "account-login",
"password": "account-password",
"email_login": "mail@example.com",
"email_password": "mail-password"
},
"rank": "Gold",
"division": "II",
"current_rank": "Gold",
"current_division": "II",
"current_lp": 120,
"flex_rank": "Silver",
"flex_division": "I",
"flex_lp": 75,
"previous_rank": "Platinum",
"previous_division": "IV",
"previous_lp": 20,
"level": 80,
"blue_essence": 45000,
"riot_points": 350,
"winrate_percent": 56,
"champion_count": 120,
"skin_count": 35,
"champions": [
"Ahri",
"Lee Sin"
],
"skins": [
"Star Guardian Ahri"
],
"roles": [
"mid",
"jungle"
],
"in_game_name": "SummonerName",
"image_ids": [
123,
124
],
"image_urls": [
"https://example.com/account.png"
],
"game_data": {}
}
'import requests
url = "https://api.lolboost.gg/api/v1/accounts/{identifier}"
payload = {
"title": "<string>",
"price": 1999,
"status": "listed",
"description": "Hand leveled EUW account.",
"parameters": {
"rank": "Gold",
"division": "II",
"flex_rank": "Silver",
"flex_division": "I",
"level": 80,
"blue_essence": 45000,
"riot_points": 350,
"winrate_percent": 56,
"champion_count": 120,
"skin_count": 35
},
"credentials": {
"login": "account-login",
"password": "account-password",
"email_login": "mail@example.com",
"email_password": "mail-password"
},
"rank": "Gold",
"division": "II",
"current_rank": "Gold",
"current_division": "II",
"current_lp": 120,
"flex_rank": "Silver",
"flex_division": "I",
"flex_lp": 75,
"previous_rank": "Platinum",
"previous_division": "IV",
"previous_lp": 20,
"level": 80,
"blue_essence": 45000,
"riot_points": 350,
"winrate_percent": 56,
"champion_count": 120,
"skin_count": 35,
"champions": ["Ahri", "Lee Sin"],
"skins": ["Star Guardian Ahri"],
"roles": ["mid", "jungle"],
"in_game_name": "SummonerName",
"image_ids": [123, 124],
"image_urls": ["https://example.com/account.png"],
"game_data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
price: 1999,
status: 'listed',
description: 'Hand leveled EUW account.',
parameters: {
rank: 'Gold',
division: 'II',
flex_rank: 'Silver',
flex_division: 'I',
level: 80,
blue_essence: 45000,
riot_points: 350,
winrate_percent: 56,
champion_count: 120,
skin_count: 35
},
credentials: {
login: 'account-login',
password: 'account-password',
email_login: 'mail@example.com',
email_password: 'mail-password'
},
rank: 'Gold',
division: 'II',
current_rank: 'Gold',
current_division: 'II',
current_lp: 120,
flex_rank: 'Silver',
flex_division: 'I',
flex_lp: 75,
previous_rank: 'Platinum',
previous_division: 'IV',
previous_lp: 20,
level: 80,
blue_essence: 45000,
riot_points: 350,
winrate_percent: 56,
champion_count: 120,
skin_count: 35,
champions: ['Ahri', 'Lee Sin'],
skins: ['Star Guardian Ahri'],
roles: ['mid', 'jungle'],
in_game_name: 'SummonerName',
image_ids: [123, 124],
image_urls: ['https://example.com/account.png'],
game_data: {}
})
};
fetch('https://api.lolboost.gg/api/v1/accounts/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"external_id": "seller-account-123",
"lolboost_account_id": 123,
"title": "League of Legends Account Diamond EUW",
"price": 4999,
"status": "listed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sold_at": "2023-11-07T05:31:56Z",
"description": "Hand leveled EUW account.",
"current_rank": "Gold",
"current_division": "II",
"current_lp": 120,
"flex_rank": "Silver",
"flex_division": "I",
"flex_lp": 75,
"level": 80,
"blue_essence": 45000,
"riot_points": 350,
"winrate_percent": 56,
"champion_count": 120,
"skin_count": 35,
"image_ids": [
123,
124
],
"image_urls": [
"https://example.com/account.png"
],
"game_data": {}
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}{
"message": "Unauthenticated."
}Update account offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
LoLBoost ID or external_id
"seller-account-123"
Body
Price in cents. Decimal prices such as 19.99 are accepted and converted to cents.
1999
"listed"
"Hand leveled EUW account."
Account details are stored and mapped into listing fields.
{
"rank": "Gold",
"division": "II",
"flex_rank": "Silver",
"flex_division": "I",
"level": 80,
"blue_essence": 45000,
"riot_points": 350,
"winrate_percent": 56,
"champion_count": 120,
"skin_count": 35
}
Show child attributes
Show child attributes
Alias for solo/current rank. Accepts names or IDs.
"Gold"
Alias for solo/current division. Accepts I, II, III, IV or IDs.
"II"
"Gold"
"II"
120
"Silver"
"I"
75
"Platinum"
"IV"
20
80
45000
350
56
120
35
["Ahri", "Lee Sin"]
["Star Guardian Ahri"]
["mid", "jungle"]
"SummonerName"
[123, 124]
["https://example.com/account.png"]
Alias for parameters. Account details from game_data are mapped the same way as parameters.
Response
Success
123
"seller-account-123"
123
"League of Legends Account Diamond EUW"
4999
draft, pending, listed, processing, sold, refunded, archived "listed"
"Hand leveled EUW account."
"Gold"
"II"
120
"Silver"
"I"
75
80
45000
350
56
120
35
[123, 124]
["https://example.com/account.png"]